<?php
include_once ("./static_data/code.php");

$title          = $result['title'];
$title 		    = htmlspecialchars($title);
$content_idx    = $result['content_idx'];
$main_img       = $result['theme_img'];
$theme_type     = $result['theme_type'];
$rank           = $result['rank'];
$column_name    = $result['column_name'];


if($main_img!='') $main_img_txt = '<img src="'.$main_img.'" width=250>';

$menu_code = '33';
require_once (APPPATH.'views/skin/admin/_content_comm.php');
?>


<form name="input_form" id="input_form" action="/admin/column/column_theme_edit_proc" method="post" enctype="multipart/form-data">
<input type="hidden" name="idx" id="idx" value="<?=$idx?>">
<input type="hidden" id="search_type" name="search_type" value="<?=$search_type?>">
<input type="hidden" id="search_keyword" name="search_keyword" value="<?=$search_keyword?>">
<input type="hidden" id="search_ranking_type" name="search_theme_type" value="<?=$search_theme_type?>">
<input type="hidden" id="sort" name="sort" value="<?=$sort?>">
<input type="hidden" id="page" name="page" value="<?=$page?>">
<input type="hidden" id="key" name="key">
<input type="hidden" id="mode" name="theme_type" value="<?=$theme_type?>">




<div class="common_table news">
<h2 class="subtitle"><?=$def_arr_column_theme[$theme_type]['name']?></h2>
<?
if($def_arr_column_theme[$theme_type]['display']=='all') {
?>
    <span class="text_blue"><b>* 모바일과 공통 송출관리</b></span>
<?
}
?>
<table>
<tr>
    <th rowspan="4"><?=$rank?>위</th>
    <td class="tl"><input type="text" name="column_name" id="column_name" class="type02" size="20" placeholder="칼럼명" value="<?=$column_name?>" readonly></td>
</tr>
<tr>
    <td class="tl">
        <input type="hidden" name="content_idx" id="content_idx" value="<?=$content_idx?>">
        <input type="text" name="title" id="title" class="input00" size="50" placeholder="제목을 입력해주세요." value="<?=$title?>">
    </td>
</tr>
<tr>
    <td class="tl">
        <div id="img_view1"><?=$main_img_txt?></div>
        <input type="hidden" name="img" id="img">
        <input type="hidden" name="org_img" id="org_img" value="<?=$main_img?>">
        <input type="file" name="theme_img" id="theme_img" class="input00" size="20">
    </td>
</tr>
<tr>
    <td class="tl">
         <button type="button" class="btn_black" style="width:100px" onclick="open_search_article('');" style="cursor: pointer;">컨텐츠검색</button>
    </td>
</tr>
</table>
</div>
<div class="write_btn tc">
	<a href="javascript:column_theme_list_reg_proc();">저장하기</a>
	<a href="/admin/column/column_theme_list/3/<?=$page?>?search_type=<?=$search_type?>&search_keyword=<?=$search_keyword?>&search_theme_type=<?=$search_theme_type?>&sort=<?=$sort?>">목록으로</a>
</div>
</form>

<? require_once(APPPATH."views/admin/search/search_article_inc.php"); ?>


<script type="text/javascript">
function open_search_article(key){
    $("#key").val(key);
    $("#article_keyword").val('');
    commonLayerOpen('search_article');
    $("#article_keyword").focus();
}

function column_theme_list_reg_proc(){
    if($("#title").val()!='') {
        if($("#content_idx").val()==''){
            alert("기사를 선택해주세요.");
            return false;
        }
        if($("#main_img").val()=='' && $("#img").val()=='' && $("#org_img").val()=='') {
            alert("메인이미지를 입력해주세요.");
            return false;
        }
    }

	$("#input_form").submit();

}

</script>